package ambient;

import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;

public interface AmbientControllerInterface {

	/**
	 * 
	 */
	public void bindAmbientFc(String cItf, Object sItf) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException;
		
	
	/**
	 * 
	 */
	public String[] listAmbientFc() ;

	/**
	 * 
	 */
	public Object lookupAmbientFc(String arg0) throws NoSuchInterfaceException ;

	/**
	 * 
	 */
	public void unbindAmbientFc(String arg0) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException ;

	/**
	 * 
	 * @param service
	 * @throws NoSuchInterfaceException 
	 */
	public void stopAmbientBinding(String service) throws NoSuchInterfaceException;
	
	/**
	 * reactivates ambient binding which was previously suspended
	 * 
	 * 
	 * @param service
	 * @param server
	 * @throws NoSuchInterfaceException 
	 */
	public void reactivateAmbientBinding(String service, Object server) throws NoSuchInterfaceException;
	
	
	public void futureCallbackBinding(String service, Object server) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException;
	
}
