package printer;

import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;

public interface IPrinter {

	  // functional method
	 
	  public String print(String str) throws NoSuchInterfaceException;
	 
	  
	  // nonfunctional method, should be implemented in a different interface
	  
	  /**
	   * 
	   *
	   */
	  public void init();
	  
	  public void stop() throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException;
	  
	  public void start();
	  
	
}
