package run;

import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.BindingController;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;

import registry.IRegistry;




public interface IAmbientController extends BindingController {
	
	IRegistry registry = null; 
	
	void setRegistry(IRegistry registry);
	
	/**
	 * Ambient binding of the interface
	 * 
	 * 
	 * @param arg0 - to which interface we will create the ambient reference
	 * 
	 * we do not specify the server component - this will be resolved in the runtime according to the available components in the
	 * ambient environment
	 * @param controller 
	 * 
	 * @throws NoSuchInterfaceException
	 * @throws IllegalBindingException
	 * @throws IllegalLifeCycleException
	 */
	//void bindAmbientFc(String arg0, IAmbientController controller) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException;

	
	//void unbindAmbientFc(String arg0);
}
