package registry;


import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;



public interface IRegistry {

	public void registerService(Component comp, String providedService, String requiredService) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException;
	
	public void unregisterProvService(Component comp) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException;
	
	public void unregisterReqService(Component comp);
	
	
	
}
